complexType "CommodityPricingDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference)?, ((lag?, ((dayType?, ((dayDistribution?, dayCount?) | (dayOfWeek[0..7], dayNumber?))?, businessCalendar?, calendarSource?) | settlementPeriods+ | settlementPeriodsReference+)?) | pricingDates+)?
</...>

Content Model Elements (14):

  businessCalendar,
  calculationPeriodsDatesReference,
  calculationPeriodsReference,
  calculationPeriodsScheduleReference,
  calendarSource,
  dayCount,
  dayDistribution,
  dayNumber,
  dayOfWeek,
  dayType (defined in PricingDays.model group),
  lag (defined in CommodityPricingDates complexType),
  pricingDates (defined in CommodityPricingDates complexType),
  settlementPeriods (defined in CommodityPricingDates complexType),
  settlementPeriodsReference (defined in CommodityPricingDates complexType)

All Direct / Indirect Based Elements (2):

  pricingDates (defined in FloatingLegCalculation complexType), | pricingDates (in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  pricingDates (defined in FloatingLegCalculation complexType), | pricingDates (in commodityOption)

Annotation
The dates on which prices are observed for the underlyer.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="CommodityPricingDates"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityCalculationPeriodsPointer.model"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="lag" type="Lag"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:group ref="PricingDays.model"/> <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/> <xsd:element minOccurs="0" name="calendarSource" type="CalendarSourceEnum"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="settlementPeriods" type="SettlementPeriods"/> <xsd:element maxOccurs="unbounded" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:choice> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="pricingDates" type="AdjustableDates"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 6/14)
businessCalendar

  Type: | CommodityBusinessCalendar, simple content

  Identifies a commodity business day calendar from which the pricing dates will be determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/>

calendarSource

  Type: | CalendarSourceEnum, simple content

  Used in conjunction with an exchange-based pricing source. Identifies a date source calendar from which the pricing dates and thus roll to the next contract will be based off (e.g. pricing is based on the NYMEX WTI First Nearby Futures Contract, if “Future” is chosen, the pricing will roll to the next futures contract on expiration, if “ListedOption” is chosen, the pricing will roll to the next futures contract on the Option expiration date which is three business days before the expiration of the NYMEX WTI futures contract.) Omitting this element will result in the default behavior expected with the pricing source described within the commodity element.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ListedOption" | - | Pricing Dates (based off of listed options dates) in respect of each Calculation Period, the last Commodity Business Day on which the relevant Options Contract is scheduled to trade on the Exchange. See: http://www.FpML.org
  "Future" | - | Pricing Dates (based off of futures dates) in respect of each Calculation Period, the last Commodity Business Day on which the relevant Futures Contract is scheduled to trade on the Exchange. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calendarSource" type="CalendarSourceEnum"/>

lag

  Type: | Lag, complex content

  The pricing period per calculation period if the pricing days do not wholly fall within the respective calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lag" type="Lag"/>

pricingDates

  Type: | AdjustableDates, complex content

  A list of adjustable dates on which the trade will price. Each date will price for the Calculation Period within which it falls.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="pricingDates" type="AdjustableDates"/>

settlementPeriods

  Type: | SettlementPeriods, complex content

  Specifies a set of Settlement Periods associated with an Electricity Transaction for delivery on an Applicable Day or for a series of Applicable Days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriods" type="SettlementPeriods"/>

settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  Allows a set of Settlement Periods to reference one already defined elsewhere in the trade structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.